Subject: Re: bug#373: xfce4-notifyd not started at xfce session login

From: Mark Hindley <[email-masked]>
Date: Wed, 29 Jan 2020 11:15:20 +0000

On Tue, Jan 28, 2020 at 03:40:42PM +0100, Tito wrote:
> On Tue, 28 Jan 2020 11:16:09 +0000 Mark Hindley <[email-masked]> wrote:
> >Tito,
> >
> >Thanks. The only thing that catches my eye is you have kdeconnect installed.
> >I am not familiar with it, but does it listen on the
> >org.freedesktop.Notifications dbus interface?
> >
> >What does this command produce?
> >
> > busctl --user status org.freedesktop.Notifications
> >
> >Mark
> 
> Hi,
> 
> At xfce4 start without starting xfce4-notifyd manually:
> 
> busctl --user status org.freedesktop.Notifications
> Failed to get credentials: No such device or address
> 
> 
> When xfce4-notifyd is started manually:

Hmmm. that is all as I would expect.

Without xfce4-notifyd running,

 busctl --user | grep Notifications

should list org.freedesktop.Notifications as (activatable). Does it?

If so, I am unsure why xfce4 is not activating it on startup. Do you have
something in Settings -> Notifications preventing it?

The other thing I wonder is if it is not running at startup because no
notifications have been sent? I think the DBus service will only be activated as
required. So without xfce4-notifyd running, if I send a notification
(notify-send 'Test message'), xfce4-notifyd is activated and the notification
appears.

Does it behave like that for you?

Mark